package de.tuberlin.tfs.ocl.metamodel.expressions;

// import java.util.*;
import de.tuberlin.tfs.ocl.metamodel.types.*;
import de.tuberlin.tfs.ocl.metamodel.converter.*;
import ru.novosoft.uml.foundation.core.*;
// import ru.novosoft.uml.foundation.data_types.*;
// import ru.novosoft.uml.behavior.common_behavior.*;


public interface MOclConstraint extends MModelElement {

	/** Getter for property body.
	 * @return Value of property body.
	 */
	public MOclExpression getBody();

	/** Setter for property body.
	 * @param body value of property body.
	 */
	public void  setBody(MOclExpression body);

	/** Getter for property kind.
	 * @return Value of property kind.
	 */
	public MOclConstraintKind getKind();

	/** Setter for property kind.
	 * @param kind value of property kind.
	 */
	public void  setKind(MOclConstraintKind kind);

        /** Getter for property constraindeElement.
	 * @return Value of property constraindeElement.
	 */
	public MModelElement getConstrainedElement();
        
        /** Setter for property constraindeElement.
	 * @param kind value of property constraindeElement.
	 */
	public void  setConstrainedElement(MModelElement constrainedElement);

	/** String converter for OCL Constraints
	 * @return OCL constraint string
	 */
	public String convert2OclString () throws NoSuchAttributeException;
	
}
