package de.tuberlin.tfs.ocl.metamodel.expressions;

// import java.util.*;
// import de.tuberlin.tfs.ocl.metamodel.types.*;
import de.tuberlin.tfs.ocl.metamodel.converter.*;
// import ru.novosoft.uml.foundation.core.*;
// import ru.novosoft.uml.foundation.data_types.*;
// import ru.novosoft.uml.behavior.common_behavior.*;


public class MVariableExpImpl extends MOclExpressionImpl implements MVariableExp {

	protected MVariableDeclaration referredVariable;


	/** Getter for property referredVariable.
	 * @return Value of property referredVariable.
	 */
	public MVariableDeclaration getReferredVariable() {
		return referredVariable;
	}

	/** Setter for property referredVariable.
	 * @param referredVariable value of property referredVariable.
	 */
	public void  setReferredVariable(MVariableDeclaration referredVariable) {
		this.referredVariable = referredVariable;
	}



	public String convert2OclString () throws NoSuchAttributeException {
		OclConverter.message("<MVariableExp>");

		StringBuffer strB = new StringBuffer();

		OclConverter.checkAttribute(referredVariable, "referred variable", this);

		strB.append(referredVariable.convert2OclString() );

		OclConverter.message("</MVariableExp>");
		return strB.toString();

	}

}
