/**
 * (c) Copyright group Vilapower
 *
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0 
 * which accompanies this distribution, and is available at
 * http://www.tfs.cs.tu-berlin.de/vila
 * 
 * Contributors:
 *     	Eduard Weiss
 * 		Tony Modica
 * 		Frank Hermann
 * 		Holger Endert
 * 
 */
package vocleditor.action.request;

import org.eclipse.gef.Request;

/**
 * An request for voclconstraint model element.
 * 
 * @author vilapower
 */
public class VOCLExpNegateRequest extends Request
{
    /**
     * Creates a new VOCLExpNegateRequest instance.
     * @param type - the String type for this request
     */
    public VOCLExpNegateRequest(String type)
    {
        super();
        setType(type);
    }
}
