package de.tuberlin.tfs.ocl.metamodel.expressions;

// import java.util.*;
import de.tuberlin.tfs.ocl.metamodel.converter.*;
import ru.novosoft.uml.foundation.core.*;
// import ru.novosoft.uml.foundation.data_types.*;
// import ru.novosoft.uml.behavior.common_behavior.*;


public class MAssociationClassCallExpImpl extends MNavigationCallExpImpl implements MAssociationClassCallExp {

	protected MAssociationClass referredAssociationClass;


	/** Getter for property referredAssociationClass.
	 * @return Value of property referredAssociationClass.
	 */
	public MAssociationClass getReferredAssociationClass() {
		return referredAssociationClass;
	}

	/** Setter for property referredAssociationClass.
	 * @param referredAssociationClass value of property referredAssociationClass.
	 */
	public void  setReferredAssociationClass(MAssociationClass referredAssociationClass) {
		this.referredAssociationClass = referredAssociationClass;
	}



	public String convert2OclString () throws NoSuchAttributeException {
		OclConverter.message("<MAssociationClassCallExp>");

		StringBuffer strB = new StringBuffer();

		if (source != null)
			strB.append (source.convert2OclString() + ".");

		OclConverter.checkAttribute(referredAssociationClass,
		  "referred association class", this);
		OclConverter.checkAttribute(referredAssociationClass.getName(),
		  "name of referred association class", this);

		strB.append (referredAssociationClass.getName() );

		OclConverter.message("</MAssociationClassCallExp>");
		return strB.toString();
	}


}
