package de.tuberlin.tfs.ocl.metamodel.expressions;

import java.util.*;
// import de.tuberlin.tfs.ocl.metamodel.types.*;
import de.tuberlin.tfs.ocl.metamodel.converter.*;
import ru.novosoft.uml.foundation.core.*;
// import ru.novosoft.uml.foundation.data_types.*;
// import ru.novosoft.uml.behavior.common_behavior.*;


public interface MNavigationCallExp extends MModelPropertyCallExp {

	/** Getter for property qualifiers.
	 * @return Value of property qualifiers.
	 */
	public List getQualifiers();
	/** Setter for property qualifiers.
	 */
	public void  setQualifiers(List qualifiers);
	/** Adder for property qualifiers.
	 */
	public void addQualifiers(MOclExpression qualifiers);
	/** Remover for property qualifiers.
	 */
	public void removeQualifiers(MOclExpression qualifiers);
	/** Getter for property navigationSource.
	 * @return Value of property navigationSource.
	 */
	public MAssociationEnd getNavigationSource();

	/** Setter for property navigationSource.
	 * @param navigationSource value of property navigationSource.
	 */
	public void  setNavigationSource(MAssociationEnd navigationSource);



	public String convert2OclString() throws NoSuchAttributeException;

}
