package de.tuberlin.tfs.ocl.metamodel.expressions;

// import java.util.*;
// import de.tuberlin.tfs.ocl.metamodel.types.*;
import de.tuberlin.tfs.ocl.metamodel.converter.*;
import ru.novosoft.uml.foundation.core.*;
// import ru.novosoft.uml.foundation.data_types.*;
// import ru.novosoft.uml.behavior.common_behavior.*;


public class MTupleLiteralExpPartImpl extends MModelElementImpl implements MTupleLiteralExpPart {

	protected MOclExpression value;
	protected MAttribute attribute;

	/** Getter for property value.
	 * @return Value of property value.
	 */
	public MOclExpression getValue() {
		return value;
	}

	/** Setter for property value.
	 * @param value value of property value.
	 */
	public void  setValue(MOclExpression value) {
		this.value = value;
	}


	/** Getter for property attribute.
	 * @return Value of property attribute.
	 */
	public MAttribute getAttribute() {
		return attribute;
	}

	/** Setter for property attribute.
	 * @param attribute value of property attribute.
	 */
	public void  setAttribute(MAttribute attribute) {
		this.attribute = attribute;
	}



	public String convert2OclString () throws NoSuchAttributeException {
		OclConverter.message("<MTupleLiteralExpPart>");
		
		StringBuffer strB = new StringBuffer();
		
		OclConverter.checkAttribute(attribute, "attribute", this);

		strB.append(attribute.getName() + " : ");

		OclConverter.checkAttribute(value, "value", this);

		strB.append(value.convert2OclString() );

		OclConverter.message("</MTupleLiteralExpPart>");
		return strB.toString();
	}

}
