/**
 * (c) Copyright group Vilapower
 *
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0 
 * which accompanies this distribution, and is available at
 * http://www.tfs.cs.tu-berlin.de/vila
 * 
 * Contributors:
 *     	Eduard Weiss
 * 		Tony Modica
 * 		Frank Hermann
 * 		Holger Endert
 * 
 */
package vocleditor.model;

public class AttributeElement{
	
	String type="";
	String value="";
	String varname="";
	String attName="";
	private boolean isVar=false;
		
	public AttributeElement(){}
		
	public AttributeElement(String type,String value,String varname,
							String attName,boolean isVar){
		this.type=type;
		this.value=value;
		this.varname=varname;
		this.attName=attName;
		this.isVar=isVar;
	}
	
	public AttributeElement(AttributeElement con){
		this.type=con.type;
		this.value=con.value;
		this.varname=con.varname;
		this.attName=con.attName;
		this.isVar=con.isVar;
	}
		
	/**
	 * @return
	 */
	public String getAttName() {
		return attName;
	}

	/**
	 * @return
	 */
	public boolean isVar() {
		return isVar;
	}

	/**
	 * @return
	 */
	public String getType() {
		return type;
	}

	/**
	 * @return
	 */
	public String getValue() {
		return value;
	}

	/**
	 * @return
	 */
	public String getVarname() {
		return varname;
	}

	/**
	 * @param string
	 */
	public void setAttName(String string) {
		attName = string;
	}

	/**
	 * @param b
	 */
	public void setVar(boolean b) {
		isVar = b;
	}

	/**
	 * @param string
	 */
	public void setType(String string) {
		type = string;
	}

	/**
	 * @param string
	 */
	public void setValue(String string) {
		value = string;
	}

	/**
	 * @param string
	 */
	public void setVarname(String string) {
		varname = string;
	}

}

