/**
 * (c) Copyright group Vilapower
 *
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0 
 * which accompanies this distribution, and is available at
 * http://www.tfs.cs.tu-berlin.de/vila
 * 
 * Contributors:
 *     	Eduard Weiss
 * 		Tony Modica
 * 		Frank Hermann
 * 		Holger Endert
 * 
 */
package vocleditor.model;


public class VarDecElement{
	
	String type="";
	String varname="";
	public VarDecElement(){}
		
	public VarDecElement(String type,String varname){
		this.type=type;
		this.varname=varname;

	}
	
	public VarDecElement(VarDecElement con){
		this.type=con.type;
		this.varname=con.varname;
	}
		
	/**
	 * @return
	 */
	public String getType() {
		return type;
	}

	/**
	 * @return
	 */
	public String getVarname() {
		return varname;
	}

	/**
	 * @param string
	 */
	public void setType(String string) {
		type = string;
	}

	/**
	 * @param string
	 */
	public void setVarname(String string) {
		varname = string;
	}

}

